package com.localmatters;

import com.localmatters.flexiq.collector.destinations.Destinations;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

/**
 *
 * @author Daniel Cavalcanti
 */
public class Driver {
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        try {
            
            JAXBContext context = JAXBContext.newInstance("com.localmatters.flexiq.collector.destinations");
            Unmarshaller unmarshaller = context.createUnmarshaller();
            Destinations config = (Destinations) unmarshaller.unmarshal(new FileInputStream("src/config.xml"));
            
            System.out.println(config);
            
        } catch (FileNotFoundException ex) {
            ex.printStackTrace();
        } catch (JAXBException ex) {
            ex.printStackTrace();
        }
        
    }
    
}
